## python-bayesian-optimization 1.5.0

=== docsrc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = ../docs

# Put it first so that "make" without argument is like "make help".
# help:
# 	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

github:
	@cp ../README.md .
	@cp -r ../static .
	@make html
	@cp -a ../docs/html/. ../docs

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-bayesian-optimization (1.5.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 06 Jul 2024 23:30:00 +0000

python-bayesian-optimization (1.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1075835)

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 06 Jul 2024 00:30:00 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bayesian-optimization

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	cp README.md docsrc/

	#Remove privacy-breach URLs that cause warnings
	sed -i \
	-e '/https:\/\/github\.com\/bayesian-optimization\/BayesianOptimization\/actions\/workflows\/run_tests\.yml\/badge\.svg/d' \
	-e '/https:\/\/codecov\.io\/github\/bayesian-optimization\/BayesianOptimization\/badge\.svg/d' \
	-e '/https:\/\/img\.shields\.io\/pypi\/v\/bayesian-optimization\.svg/d' \
	-e '/<img src="https:\/\/raw\.githubusercontent\.com\/bayesian-optimization\/BayesianOptimization\/master\/static\/func\.png">/d' \
	docsrc/README.md

	https_proxy='127.0.0.1:9' sphinx-build -b html docsrc build/sphinx/html

	# Replace require.js URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js|/usr/share/javascript/requirejs/require.min.js|g' {} +

	# Replace tex-mml-chtml.js URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js|/usr/share/nodejs/mathjax-full/components/src/tex-mml-chtml/tex-mml-chtml.js|g' {} +

	dh_installdocs -ppython-bayesian-optimization-doc --doc-main-package=python-bayesian-optimization-doc build/sphinx/html

	rm -f docsrc/README.md

	dh_installdocs

## python-bayesian-optimization 1.5.1

=== debian/changelog ===
python-bayesian-optimization (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1.
  * d/rules: Remove privacy-breach URLs.

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 11 Jul 2024 18:00:00 +0000

=== debian/control ===
Source: python-bayesian-optimization
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/bayesian-optimization/BayesianOptimization
Vcs-Git: https://salsa.debian.org/python-team/packages/python-bayesian-optimization.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-bayesian-optimization
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pandoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-colorama,
 python3-coverage <!nocheck>,
 python3-ipython <!nodoc>,
 python3-jupyter-core <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-nbconvert <!nocheck>,
 python3-nbformat <!nocheck>,
 python3-nbsphinx <!nodoc>,
 python3-numpy,
 python3-poetry-core,
 python3-pydocstyle <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-scipy,
 python3-sklearn,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc2 <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-bayesian-optimization
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Bayesian Optimization package
 Pure Python implementation of bayesian global optimization
 with gaussian processes. This is a constrained global
 optimization package built upon bayesian inference and
 gaussian process, that attempts to find the maximum value
 of an unknown function in as few iterations as possible.
 This technique is particularly suited for optimization of
 high cost functions, situations where the balance between
 exploration and exploitation is important.

Package: python-bayesian-optimization-doc
Architecture: all
Section: doc
Depends:
 libjs-requirejs,
 node-mathjax-full,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-bayesian-optimization
 Pure Python implementation of bayesian global optimization
 with gaussian processes. This is a constrained global
 optimization package built upon bayesian inference and
 gaussian process, that attempts to find the maximum value
 of an unknown function in as few iterations as possible.
 This technique is particularly suited for optimization of
 high cost functions, situations where the balance between
 exploration and exploitation is important.
 .
 This package contains documentation for bayesian-optimization.

## python-bayesian-optimization 2.0.0

=== debian/changelog ===
python-bayesian-optimization (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * d/control: add python3-sphinx-autodoc-typehints to build-dep.
  * Add 001-fix-for-docs.patch to remove sphinx_immaterial
    from docs.
  * d/clean: update file list.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 30 Oct 2024 06:12:28 +0000

## python-bayesian-optimization 2.0.1

=== debian/changelog ===
python-bayesian-optimization (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 13 Dec 2024 01:30:39 +0000

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python3-scipy,
  python3-sklearn,
  python3-sphinx <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nodoc>,
  python3-sphinx-autodoc2 <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no

## python-bayesian-optimization 2.0.3

=== docsrc/Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 .PHONY: help Makefile
 
 github:
-	@cp ../README.md .
-	@cp -r ../static .
+# 	@cp ../README.md .
 	@make html
 	@cp -a ../docs/html/. ../docs
+	@cp -r ../docsrc/ ../docs
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== docsrc/requirements.txt ===
sphinx
nbsphinx
sphinx_rtd_theme

=== debian/changelog ===
python-bayesian-optimization (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3.
  * d/control: bump Standards-Version to 4.7.2.
  * Add d/salsa-ci.yml.
  * d/copyright: update debian/* copyright year.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 29 Mar 2025 17:32:34 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  python3-sphinx-autodoc2 <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-bayesian-optimization

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bayesian-optimization

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	cp README.md docsrc/

	https_proxy='127.0.0.1:9' http_proxy='127.0.0.1:9' sphinx-build -b html docsrc build/sphinx/html

	# Replace require.js URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js|/usr/share/javascript/requirejs/require.min.js|g' {} +

	# Replace tex-mml-chtml.js URLs with local paths
	find -type f -name "*.html" -exec sed -i 's|https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js|/usr/share/nodejs/mathjax-full/components/src/tex-mml-chtml/tex-mml-chtml.js|g' {} +

	#Remove privacy-breach URLs that cause warnings
	find -type f -name "*.html" -exec sed -i 's|https://github.com|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://codecov.io|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://img.shields.io|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://raw.githubusercontent.com|(URL removed)|g' {} +

	dh_installdocs -ppython-bayesian-optimization-doc --doc-main-package=python-bayesian-optimization-doc build/sphinx/html

	rm -f docsrc/README.md

	dh_installdocs

=== debian/watch ===
version=4
https://github.com/bayesian-optimization/BayesianOptimization/tags .*/v(\d\S+)\.tar\.gz
